Package org.drinkless.tdlib

# Class TdApi.AuthorizationStateWaitPassword

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthorizationState
org.drinkless.tdlib.TdApi.AuthorizationStateWaitPassword

Enclosing class:
  `TdApi`

public static class TdApi.AuthorizationStateWaitPassword extends TdApi.AuthorizationState
The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthorizationState

  `TdApi.AuthorizationState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasPassportData`
  True, if some Telegram Passport elements were saved.
  `boolean`
  `hasRecoveryEmailAddress`
  True, if a recovery email address has been set up.
  `String`
  `passwordHint`
  Hint for the password; may be empty.
  `String`
  `recoveryEmailAddressPattern`
  Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationStateWaitPassword()`
  The user has been authorized, but needs to enter a 2-step verification password to start using the application.
  `AuthorizationStateWaitPassword(String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, String recoveryEmailAddressPattern)`
  The user has been authorized, but needs to enter a 2-step verification password to start using the application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### passwordHint

    public String passwordHint
    Hint for the password; may be empty.

  - ### hasRecoveryEmailAddress

    public boolean hasRecoveryEmailAddress
    True, if a recovery email address has been set up.

  - ### hasPassportData

    public boolean hasPassportData
    True, if some Telegram Passport elements were saved.

  - ### recoveryEmailAddressPattern

    public String recoveryEmailAddressPattern
    Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthorizationStateWaitPassword

    public AuthorizationStateWaitPassword()
    The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

  - ### AuthorizationStateWaitPassword

    public AuthorizationStateWaitPassword(String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, String recoveryEmailAddressPattern)
    The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.
    Parameters:
      `passwordHint` - Hint for the password; may be empty.
      `hasRecoveryEmailAddress` - True, if a recovery email address has been set up.
      `hasPassportData` - True, if some Telegram Passport elements were saved.
      `recoveryEmailAddressPattern` - Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthorizationState`
    Returns:
      this.CONSTRUCTOR